Class ExportServiceDefinitionRequest
- Namespace
- EsriPBuffer.Graph
- Assembly
- ESRI.Server.SOESupport.dll
Request parameters for exporting a Knowledge Graph service as a Service Definition (SD) portal item. This message is specific to the "export as service definition" format.
The exported Service Definition bundles together:
- Portal item info
- Service manifest xml
- Service configuration json file
- Knowledge Graph service data model
- Graph data
This packaging enables publishing a new knowledge graph service using the existing publish operation in sharing API.
public sealed class ExportServiceDefinitionRequest : IMessage<ExportServiceDefinitionRequest>, IEquatable<ExportServiceDefinitionRequest>, IDeepCloneable<ExportServiceDefinitionRequest>, IBufferMessage, IMessage
- Inheritance
-
ExportServiceDefinitionRequest
- Implements
-
IMessage<ExportServiceDefinitionRequest>IDeepCloneable<ExportServiceDefinitionRequest>IBufferMessageIMessage
- Inherited Members
Constructors
ExportServiceDefinitionRequest()
public ExportServiceDefinitionRequest()
ExportServiceDefinitionRequest(ExportServiceDefinitionRequest)
public ExportServiceDefinitionRequest(ExportServiceDefinitionRequest other)
Parameters
Fields
DataFormatFieldNumber
Field number for the "data_format" field.
public const int DataFormatFieldNumber = 2
Field Value
ServiceDefinitionNameFieldNumber
Field number for the "service_definition_name" field.
public const int ServiceDefinitionNameFieldNumber = 1
Field Value
Properties
DataFormat
The data format used within the Service Definition package (e.g., GeoParquet). Determines how the graph data and schema are serialized.
public ExportDataFormat DataFormat { get; set; }
Property Value
Descriptor
public static MessageDescriptor Descriptor { get; }
Property Value
- MessageDescriptor
HasServiceDefinitionName
Gets whether the "service_definition_name" field is set
public bool HasServiceDefinitionName { get; }
Property Value
Parser
public static MessageParser<ExportServiceDefinitionRequest> Parser { get; }
Property Value
- MessageParser<ExportServiceDefinitionRequest>
ServiceDefinitionName
The name of the exported Service Definition (.sd) file.
If not specified, a unique name will be automatically generated
and returned in the ExportServiceDefinitionResult using the
format: <ServiceName>_SD_<JobId>, where:
- <ServiceName> is the Knowledge Graph service name.
- <JobId> is the identifier of the asynchronous export job.
The inclusion of the JobId ensures uniqueness and traceability for each export request.
public string ServiceDefinitionName { get; set; }
Property Value
Methods
CalculateSize()
public int CalculateSize()
Returns
ClearServiceDefinitionName()
Clears the value of the "service_definition_name" field
public void ClearServiceDefinitionName()
Clone()
public ExportServiceDefinitionRequest Clone()
Returns
Equals(ExportServiceDefinitionRequest)
public bool Equals(ExportServiceDefinitionRequest other)
Parameters
Returns
Equals(object)
public override bool Equals(object other)
Parameters
otherobject
Returns
GetHashCode()
public override int GetHashCode()
Returns
MergeFrom(ExportServiceDefinitionRequest)
public void MergeFrom(ExportServiceDefinitionRequest other)
Parameters
MergeFrom(CodedInputStream)
public void MergeFrom(CodedInputStream input)
Parameters
inputCodedInputStream
ToString()
public override string ToString()
Returns
WriteTo(CodedOutputStream)
public void WriteTo(CodedOutputStream output)
Parameters
outputCodedOutputStream